.TH XQUINTO l "1 Apr. 1992"
.SH NAME
xquinto \- color all the squares: game.
.SH SYNOPSIS
\fBxquinto\fP [size-options]
.SH DESCRIPTION
\fIxquinto\fP has a rectangular (default, 5 by 5) board with squares
on it. Clicking on any square reverses its color, and that of its
neighbors that share an edge (not the diagonal ones). The object is, 
starting with a board in one color, to reach a board of the reversed
color.

There are two versions of the game: one using X11 and the other using 
XView.

The size of the game, etc. can be changed using command line options:
.TP
.B \-width n
Board is n squares wide (default 5).
.TP
.B \-height m
Board is m squares high (default 5).
.TP
.B \-square n
Board is n by n, square.
.TP
.B \-showmove
Specifying this option will put a small 'o' on all the squares the player
has clicked so far.
.TP
.B \-mono
To play on a monochrome monitor.
.TP
.B \-colorN color
where N is 1, 2, or 3, for the color of the squares in the normal and
reversed form, and of the 'o' used to mark moves (defaults: red, blue 
and yellow).

.TP
Keyboard commands useful for the X11 version are:
.TP
.B m
magnify size of board by 1 unit (maximum 20 by 20).
.TP
.B s
shrink size of board by 1 unit.
.TP
.B h, H
decrease (increase) height of board by 1 unit.
.TP
.B w, W
decrease (increase) width of board by 1 unit.
.TP
.B q
quit the game.
.TP
.B c
clear all moves, restart the game.

.TP
Resources that can be used for the X11 version in the .Xdefaults file are:
.TP
.B xquinto.colorN
where N is 1, 2, or 3, for the color of the squares in the normal and
reversed form, and of the 'o' used to mark moves.
.TP
.B xquinto.mono (default: false)
.TP
.B xquinto.showmove (default: false)

				   
.SH NOTES
The 5 by 5 (default) case can be solved. The idea for the game came
from a similar one I saw on a NeXT machine. 

.SH BUGS
The program has only been tested on a SunIPC with SunOS 4.1.1. But it
seems to work.
.SH AUTHOR
Dev Joneja, Columbia Business School, April 1992
.br
dj7@cunixf.cc.columbia.edu



